ATA_CHOOSE_XFER_MO(9)

NAME
ata_choose_xfer_mode - attempt to find best transfer mode

SYNOPSIS

int ata_choose_xfer_mode (const struct ata_port * ap, u8 * xfer_mode_out, unsigned int * xfer_shift_out);

ARGUMENTS

ap  Port for which an xfer mode will be selected

xfer_mode_out
    (output) SET FEATURES - XFER MODE code

xfer_shift_out
    (output) bit shift that selects this mode

DESCRIPTION

Based on host and device capabilities, determine the maximum transfer mode that is amenable to all.

LOCKING

PCI/etc. bus probe sem.

RETURNS

Zero on success, negative on error.

AUTHOR
Jeff Garzik.